commit:     3251dbed32f46173c24ca33ab6ab9ac9c6bb82df
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 30 17:57:03 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul 30 18:42:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3251dbed

dev-python/python-tests: Bump to 3.14.0_rc1_p1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-tests/Manifest                   |  1 +
 .../python-tests/python-tests-3.14.0_rc1_p1.ebuild | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/python-tests/Manifest b/dev-python/python-tests/Manifest
index 072f6d9c9aa2..843de42b9faa 100644
--- a/dev-python/python-tests/Manifest
+++ b/dev-python/python-tests/Manifest
@@ -20,3 +20,4 @@ DIST python-gentoo-patches-3.13.5.tar.xz 8916 BLAKE2B 
9d985b12af62b8a917cac1dab9
 DIST python-gentoo-patches-3.14.0b1.tar.xz 5680 BLAKE2B 
514b3edc3025e5bf675d371b5ada17dea426856edf1fb6095c2ee400eae95bd4265ef81fe593ae9338e801e7d0a25b1d5ba2d05ca563fd9dd020114b13575746
 SHA512 
74289e42cf532b54bb1b66a283ec19156f8a36ba38764209c133842314c9efb2ce2ebcba5aa9213bcf7fc0c8a5ca9b6e7adbd5dbfa4397233136d7cd55f53ee7
 DIST python-gentoo-patches-3.14.0b4.tar.xz 3780 BLAKE2B 
ad67e213b21bc039bf33c0a2e6d3a4ce5e06179ce167f89d56561834dfb5c5b5b5d7f43f6fe2597e94e4ea5d544bb0b60d38b847bb0c32277a0151f2084f3618
 SHA512 
e5e6fa02d2d24e46848fa5a79ba7fd8a6703473e3bee257fee7b5c55d5c82fedb29f0ba6de1117c6ca738df3841bae5bb00962ae0290d553020e3617dc557c6d
 DIST python-gentoo-patches-3.14.0rc1.tar.xz 3776 BLAKE2B 
4f2cf7598dac08c3118bbca6c111684fe68fa7c8749ef394eae35c50bc7d78e30f6c54a77199fc87270ccdafa7725dad974226964841d666ceab7cb34d7bd778
 SHA512 
323586bfd662ff4ed41b7f5f34d1dc394e7e7e1ad87e8a9283b99a14e226cc73d7ff7fb510e772319e361f2ad2becfe4ac246cc0be34d0a981df286cb20c9734
+DIST python-gentoo-patches-3.14.0rc1_p1.tar.xz 5436 BLAKE2B 
04a7e01c758e7e162ab05607e1a5f035c4bd77ad09cdbdfee183f02af396140f3b4f7cc0c627fbfeb05e076d4bb763afd77502a35178ec2eb0f4050d7d829734
 SHA512 
3795d4aa89d433196da74361b0b7ea9fa52966409667f88e8b069ec85674286068cfa3666a5503c62597c5cff4aa5ebf360b907c7571ced269a38019e593cf45

diff --git a/dev-python/python-tests/python-tests-3.14.0_rc1_p1.ebuild 
b/dev-python/python-tests/python-tests-3.14.0_rc1_p1.ebuild
new file mode 100644
index 000000000000..8fb8b4f068cd
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.14.0_rc1_p1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_14 )
+VERIFY_SIG_METHOD=sigstore
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV/_/}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+       https://www.python.org/
+       https://github.com/python/cpython/
+"
+SRC_URI="
+       https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+       https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+       verify-sig? (
+               
https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.sigstore
+       )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+# enable by default to help CI handle it (we have no additional deps)
+IUSE="+python_targets_${PYTHON_COMPAT[0]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       ~dev-lang/python-${PV}:${PYVER}
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+"
+
+# https://www.python.org/downloads/metadata/sigstore/
[email protected]
+VERIFY_SIG_CERT_OIDC_ISSUER=https://github.com/login/oauth
+
+src_unpack() {
+       if use verify-sig; then
+               verify-sig_verify_detached 
"${DISTDIR}"/${MY_P}.tar.xz{,.sigstore}
+       fi
+       default
+}
+
+src_prepare() {
+       local PATCHES=(
+               "${WORKDIR}/${PATCHSET}"
+       )
+
+       cd .. || die
+       default
+}
+
+src_install() {
+       python_setup
+       # keep in sync with TESTSUBDIRS in Makefile.pre.in
+       python_moduleinto "/usr/lib/python${PYVER}"
+       python_domodule test
+       python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+       python_domodule idlelib/idle_test
+}

Reply via email to